summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAzamat H. Hackimov <azamat.hackimov@gmail.com>2020-08-02 00:39:48 +0300
committerJoonas Niilola <juippis@gentoo.org>2020-08-15 12:29:47 +0300
commite23b7f34d026383a061b87a1f6fcf6f571484777 (patch)
tree8cd05ceda1c0c38edd645778d51a9bb324688292
parentapp-emulation/virtio-win: version bump to 0.1.187.1 (diff)
downloadgentoo-e23b7f34.tar.gz
gentoo-e23b7f34.tar.bz2
gentoo-e23b7f34.zip
dev-util/conan: update to 1.28.0
Fixes strict dependency (#733026) Closes: https://bugs.gentoo.org/733026 Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Azamat H. Hackimov <azamat.hackimov@gmail.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
-rw-r--r--dev-util/conan/Manifest1
-rw-r--r--dev-util/conan/conan-1.28.0.ebuild75
2 files changed, 76 insertions, 0 deletions
diff --git a/dev-util/conan/Manifest b/dev-util/conan/Manifest
index a89eda90336..6b975406583 100644
--- a/dev-util/conan/Manifest
+++ b/dev-util/conan/Manifest
@@ -1,3 +1,4 @@
DIST conan-1.23.0.tar.gz 1024905 BLAKE2B cfa3e130be13ee175b1dc167b6d61666eddaf588b5954d9889c2d167806e8fb115290257ca839f6de407c87079472dba912b730e01a232d70375f2fe63ce7c28 SHA512 fa2b1b726e29ef553774267b50b0ace4f39a30bdf0a6d0e051576bc9b0e6cd1ed6cb166101c446d15734ebef9e89e17a101c10c0ead91c15de5aa1ebb102d0a8
DIST conan-1.24.1.tar.gz 1043698 BLAKE2B 33e5aaa975a9819d0808c90ad97260b00aab6f4ae8ba6feb7d2c53622f0e72b87cc469c7c21994e2c228819bd364dc9b20822134c10665978bf996b653c014b9 SHA512 ab6e15c4291862d9d68661682ec9da8c126193ddb00b800e3d8f9dba07a516db307d22e590324ae3f059e39e897bc6bf590e53cc82d69431ce287031be7fe820
DIST conan-1.26.1.tar.gz 1089182 BLAKE2B 2f10ab74116748c622f732d2ec15d01e2c859d6618a513621ec35149155303ca6b5109c3776786014237523bdfda44dde9d7d60c007084a36fb99149b473cc39 SHA512 4a5fcc7306939594afce3596bf274cc32888891324f994f7ba71254bdd0b8dbb9a88e0ab29598acc02cfc7cab0159d45257974986d191ef5c09e0d57c3a06c5f
+DIST conan-1.28.0.tar.gz 1135799 BLAKE2B 774f980b489bc2ee7973447829ac2f9062198ec85a1129e3cfcf34a490b969cb5c04546a8918b542bc15e429d75d8e7fe3bc29f9cd5c6cebb6f7270a921a47f2 SHA512 1366f37d774bcaeadaf27f459d9a3889424a21ad14cc0e59f978ccf77a2d4e1f3497e98533e325fe086735b9bdaee64fd2df6c228e62d7577533142ab28401c8
diff --git a/dev-util/conan/conan-1.28.0.ebuild b/dev-util/conan/conan-1.28.0.ebuild
new file mode 100644
index 00000000000..f56e6bee76f
--- /dev/null
+++ b/dev-util/conan/conan-1.28.0.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+PYTHON_REQ_USE="sqlite"
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Distributed C/C++ package manager"
+HOMEPAGE="https://conan.io/"
+SRC_URI="https://github.com/conan-io/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+
+# overly strict requirements?
+# https://github.com/conan-io/conan/blob/develop/conans/requirements.txt
+# https://github.com/conan-io/conan/blob/develop/conans/requirements_server.txt
+RDEPEND="
+ >=dev-python/bottle-0.12.8[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.3.3[${PYTHON_USEDEP}]
+ >=dev-python/deprecation-2.0[${PYTHON_USEDEP}]
+ >=dev-python/distro-1.0.2[${PYTHON_USEDEP}]
+ >=dev-python/fasteners-0.14.1[${PYTHON_USEDEP}]
+ >=dev-python/future-0.16.0[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/node-semver-0.6.1[${PYTHON_USEDEP}]
+ >=dev-python/patch-ng-1.17.4[${PYTHON_USEDEP}]
+ >=dev-python/pluginbase-0.5[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.0[${PYTHON_USEDEP}]
+ >=dev-python/pyjwt-1.4[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+ >=dev-python/tqdm-4.28.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests nose
+DEPEND+="
+ test? (
+ dev-lang/go
+ dev-vcs/git
+ dev-vcs/subversion
+ >=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/nose-1.3.7[${PYTHON_USEDEP}]
+ >=dev-python/parameterized-0.6.3[${PYTHON_USEDEP}]
+ >=dev-python/webtest-2.0.18[${PYTHON_USEDEP}]
+ dev-util/cmake
+ )
+"
+
+src_prepare() {
+ default
+ # Fix strict dependencies
+ sed -i \
+ -e "s:six>=1.10.0,<=1.14.0:six>=1.12.0:g" \
+ -e "s:node-semver==0.6.1:node-semver>=0.6.1:g" \
+ -e "s:distro>=1.0.2, <1.2.0:distro>=1.0.2:g" \
+ conans/requirements.txt || die
+}
+
+python_test() {
+ nosetests -v conans.test \
+ -e test_ftp.* -e modify_values_test.* -e test_pkg_config_path.* \
+ -e rpath_optin_test -e test_variables -e system_package_tool_installed_test \
+ -e virtualbuildenv_test -e scm_test -e test_git_shallow -e tools_test \
+ -e test_environment_nested -e devflow_test -e shared_chain_test \
+ -e test_toolchain_linux_0_Debug -e test_toolchain_linux_1_Release \
+ -e virtualenv_test \
+ -A "not rest_api and not local_bottle" || die
+}